package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.EventImplementationEntity;
/**
* 综窗事项列表查询对象
*
* @author zxfei
* @date 2024-06-20
*/
public class EventImplementationQuery extends EventImplementationEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 实施清单事项ID */
    private List<String> eventIdList;

    /** 实施清单事项ID排除列表 */
    private List <String> eventIdNotList;
    /** 事项类型 */
    private List<String> eventTypeList;

    /** 事项类型排除列表 */
    private List <String> eventTypeNotList;
    /** 实施编码 */
    private List<String> implementCodingList;

    /** 实施编码排除列表 */
    private List <String> implementCodingNotList;
    /** 业务办理项编码 */
    private List<String> handlingItemCodeList;

    /** 业务办理项编码排除列表 */
    private List <String> handlingItemCodeNotList;
    /** 实施清单名称 */
    private List<String> implementNameList;

    /** 实施清单名称排除列表 */
    private List <String> implementNameNotList;
    /** 事项面向对象分类 */
    private List<String> eventObjectTypeList;

    /** 事项面向对象分类排除列表 */
    private List <String> eventObjectTypeNotList;
    /** 开始 更新用户 */
    private Long createUserIdStart;

    /** 结束 更新用户 */
    private Long createUserIdEnd;

    /** 增加 更新用户 */
    private Long createUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> createUserIdList;

    /** 更新用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<EventImplementationQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<EventImplementationQuery> andConditionList;

    public EventImplementationQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 实施清单事项ID
    * @return eventIdList
    */
    public List<String> getEventIdList(){
        return this.eventIdList;
    }

    /**
    * 设置 实施清单事项ID
    * @param eventIdList
    */
    public void setEventIdList(List<String> eventIdList){
        this.eventIdList = eventIdList;
    }

    /**
    * 获取 实施清单事项ID
    * @return eventIdNotList
    */
    public List<String> getEventIdNotList(){
        return this.eventIdNotList;
    }

    /**
    * 设置 实施清单事项ID
    * @param eventIdNotList
    */
    public void setEventIdNotList(List<String> eventIdNotList){
        this.eventIdNotList = eventIdNotList;
    }

    /**
    * 获取 事项类型
    * @return eventTypeList
    */
    public List<String> getEventTypeList(){
        return this.eventTypeList;
    }

    /**
    * 设置 事项类型
    * @param eventTypeList
    */
    public void setEventTypeList(List<String> eventTypeList){
        this.eventTypeList = eventTypeList;
    }

    /**
    * 获取 事项类型
    * @return eventTypeNotList
    */
    public List<String> getEventTypeNotList(){
        return this.eventTypeNotList;
    }

    /**
    * 设置 事项类型
    * @param eventTypeNotList
    */
    public void setEventTypeNotList(List<String> eventTypeNotList){
        this.eventTypeNotList = eventTypeNotList;
    }

    /**
    * 获取 实施编码
    * @return implementCodingList
    */
    public List<String> getImplementCodingList(){
        return this.implementCodingList;
    }

    /**
    * 设置 实施编码
    * @param implementCodingList
    */
    public void setImplementCodingList(List<String> implementCodingList){
        this.implementCodingList = implementCodingList;
    }

    /**
    * 获取 实施编码
    * @return implementCodingNotList
    */
    public List<String> getImplementCodingNotList(){
        return this.implementCodingNotList;
    }

    /**
    * 设置 实施编码
    * @param implementCodingNotList
    */
    public void setImplementCodingNotList(List<String> implementCodingNotList){
        this.implementCodingNotList = implementCodingNotList;
    }

    /**
    * 获取 业务办理项编码
    * @return handlingItemCodeList
    */
    public List<String> getHandlingItemCodeList(){
        return this.handlingItemCodeList;
    }

    /**
    * 设置 业务办理项编码
    * @param handlingItemCodeList
    */
    public void setHandlingItemCodeList(List<String> handlingItemCodeList){
        this.handlingItemCodeList = handlingItemCodeList;
    }

    /**
    * 获取 业务办理项编码
    * @return handlingItemCodeNotList
    */
    public List<String> getHandlingItemCodeNotList(){
        return this.handlingItemCodeNotList;
    }

    /**
    * 设置 业务办理项编码
    * @param handlingItemCodeNotList
    */
    public void setHandlingItemCodeNotList(List<String> handlingItemCodeNotList){
        this.handlingItemCodeNotList = handlingItemCodeNotList;
    }

    /**
    * 获取 实施清单名称
    * @return implementNameList
    */
    public List<String> getImplementNameList(){
        return this.implementNameList;
    }

    /**
    * 设置 实施清单名称
    * @param implementNameList
    */
    public void setImplementNameList(List<String> implementNameList){
        this.implementNameList = implementNameList;
    }

    /**
    * 获取 实施清单名称
    * @return implementNameNotList
    */
    public List<String> getImplementNameNotList(){
        return this.implementNameNotList;
    }

    /**
    * 设置 实施清单名称
    * @param implementNameNotList
    */
    public void setImplementNameNotList(List<String> implementNameNotList){
        this.implementNameNotList = implementNameNotList;
    }

    /**
    * 获取 事项面向对象分类
    * @return eventObjectTypeList
    */
    public List<String> getEventObjectTypeList(){
        return this.eventObjectTypeList;
    }

    /**
    * 设置 事项面向对象分类
    * @param eventObjectTypeList
    */
    public void setEventObjectTypeList(List<String> eventObjectTypeList){
        this.eventObjectTypeList = eventObjectTypeList;
    }

    /**
    * 获取 事项面向对象分类
    * @return eventObjectTypeNotList
    */
    public List<String> getEventObjectTypeNotList(){
        return this.eventObjectTypeNotList;
    }

    /**
    * 设置 事项面向对象分类
    * @param eventObjectTypeNotList
    */
    public void setEventObjectTypeNotList(List<String> eventObjectTypeNotList){
        this.eventObjectTypeNotList = eventObjectTypeNotList;
    }

    /**
    * 获取 开始 更新用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 更新用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 更新用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public EventImplementationQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public EventImplementationQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public EventImplementationQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public EventImplementationQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public EventImplementationQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public EventImplementationQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 实施清单事项ID
    * @param eventId
    */
    public EventImplementationQuery eventId(String eventId){
        setEventId(eventId);
		return this;
    }

    /**
    * 设置 实施清单事项ID
    * @param eventIdList
    */
    public EventImplementationQuery eventIdList(List<String> eventIdList){
        this.eventIdList = eventIdList;
		return this;
    }


	/**
    * 设置 事项类型
    * @param eventType
    */
    public EventImplementationQuery eventType(String eventType){
        setEventType(eventType);
		return this;
    }

    /**
    * 设置 事项类型
    * @param eventTypeList
    */
    public EventImplementationQuery eventTypeList(List<String> eventTypeList){
        this.eventTypeList = eventTypeList;
		return this;
    }


	/**
    * 设置 实施编码
    * @param implementCoding
    */
    public EventImplementationQuery implementCoding(String implementCoding){
        setImplementCoding(implementCoding);
		return this;
    }

    /**
    * 设置 实施编码
    * @param implementCodingList
    */
    public EventImplementationQuery implementCodingList(List<String> implementCodingList){
        this.implementCodingList = implementCodingList;
		return this;
    }


	/**
    * 设置 业务办理项编码
    * @param handlingItemCode
    */
    public EventImplementationQuery handlingItemCode(String handlingItemCode){
        setHandlingItemCode(handlingItemCode);
		return this;
    }

    /**
    * 设置 业务办理项编码
    * @param handlingItemCodeList
    */
    public EventImplementationQuery handlingItemCodeList(List<String> handlingItemCodeList){
        this.handlingItemCodeList = handlingItemCodeList;
		return this;
    }


	/**
    * 设置 实施清单名称
    * @param implementName
    */
    public EventImplementationQuery implementName(String implementName){
        setImplementName(implementName);
		return this;
    }

    /**
    * 设置 实施清单名称
    * @param implementNameList
    */
    public EventImplementationQuery implementNameList(List<String> implementNameList){
        this.implementNameList = implementNameList;
		return this;
    }


	/**
    * 设置 事项面向对象分类
    * @param eventObjectType
    */
    public EventImplementationQuery eventObjectType(String eventObjectType){
        setEventObjectType(eventObjectType);
		return this;
    }

    /**
    * 设置 事项面向对象分类
    * @param eventObjectTypeList
    */
    public EventImplementationQuery eventObjectTypeList(List<String> eventObjectTypeList){
        this.eventObjectTypeList = eventObjectTypeList;
		return this;
    }

    /**
    * 设置  更新用户
    * @param createUserId
    */
    public EventImplementationQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param createUserIdStart
    */
    public EventImplementationQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param createUserIdEnd
    */
    public EventImplementationQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param createUserIdIncrement
    */
    public EventImplementationQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param createUserIdList
    */
    public EventImplementationQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param createUserIdNotList
        */
        public EventImplementationQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public EventImplementationQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public EventImplementationQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public EventImplementationQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public EventImplementationQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public EventImplementationQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public EventImplementationQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<EventImplementationQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<EventImplementationQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<EventImplementationQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<EventImplementationQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}