package com.mortals.xhx.module.matter.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.EventImplementationEntity;
import com.mortals.xhx.module.matter.dao.EventImplementationDao;

import java.util.List;

/**
* EventImplementationService
*
* 综窗事项列表 service接口
*
* @author zxfei
* @date 2024-06-20
*/
public interface EventImplementationService extends ICRUDService<EventImplementationEntity,Long>{

    EventImplementationDao getDao();

    /**
     * 同步综窗事项到本地库
     */
    void syncEventImplementation();

    /**
     * 新增或者修改
     */
    void saveOrUpdate(List<EventImplementationEntity> list);
}